Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1361256

Summary: SELinux is preventing dnssec-trigger- from 'execute' accesses on the file /usr/sbin/ldconfig.
Product: [Fedora] Fedora Reporter: Michał <e.misiek>
Component: selinux-policyAssignee: Lukas Vrabec <lvrabec>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 24CC: cristian.ciupitu, dominick.grift, dominik, dwalsh, lvrabec, mgrepl, plautrba, thozza
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:eb08ea052558679473a3358ff7dfc2e2af0086685b8a44d5eb44cb144e6280fb;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-3.13.1-191.16.fc24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-22 00:23:06 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1182488    

Description Michał 2016-07-28 15:39:44 UTC
Description of problem:
I don't remember what caused this error, but i'm shooting that probably starting dnssec trigger or resuming my pc from sleep?
SELinux is preventing dnssec-trigger- from 'execute' accesses on the file /usr/sbin/ldconfig.

*****  Plugin catchall (100. confidence) suggests   **************************

If aby dnssec-trigger- powinno mieć domyślnie execute dostęp do ldconfig file.
Then proszę to zgłosić jako błąd.
Można utworzyć lokalny moduł polityki, aby umożliwić ten dostęp.
Do
allow this access for now by executing:
# ausearch -c 'dnssec-trigger-' --raw | audit2allow -M my-dnssectrigger
# semodule -X 300 -i my-dnssectrigger.pp

Additional Information:
Source Context                system_u:system_r:dnssec_trigger_t:s0
Target Context                system_u:object_r:ldconfig_exec_t:s0
Target Objects                /usr/sbin/ldconfig [ file ]
Source                        dnssec-trigger-
Source Path                   dnssec-trigger-
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           glibc-2.23.1-8.fc24.x86_64
Policy RPM                    selinux-policy-3.13.1-191.5.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.6.4-301.fc24.x86_64 #1 SMP Tue
                              Jul 12 11:50:00 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-07-28 16:28:16 CEST
Last Seen                     2016-07-28 16:28:16 CEST
Local ID                      5fba1d5f-68b0-4c19-af5e-db99ff33a298

Raw Audit Messages
type=AVC msg=audit(1469716096.998:542): avc:  denied  { execute } for  pid=9967 comm="dnssec-trigger-" name="ldconfig" dev="dm-1" ino=1188338 scontext=system_u:system_r:dnssec_trigger_t:s0 tcontext=system_u:object_r:ldconfig_exec_t:s0 tclass=file permissive=0


Hash: dnssec-trigger-,dnssec_trigger_t,ldconfig_exec_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Potential duplicate: bug 1322147

Comment 1 Tomáš Hozza 2016-08-02 07:49:22 UTC
Description of problem:
Executed 'dnssec-trigger-control hotspot_signon' as root

Version-Release number of selected component:
selinux-policy-3.13.1-191.5.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.6.4-301.fc24.x86_64
type:           libreport

Comment 2 Fedora Update System 2016-09-15 17:24:50 UTC
selinux-policy-3.13.1-191.16.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe39b806b6

Comment 3 Fedora Update System 2016-09-16 00:52:26 UTC
selinux-policy-3.13.1-191.16.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fe39b806b6

Comment 4 Fedora Update System 2016-09-22 00:23:06 UTC
selinux-policy-3.13.1-191.16.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.